summaryrefslogtreecommitdiffstats
path: root/dung-3.4.25-m2/arch_timer/proc-interrupts-lager.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dung-3.4.25-m2/arch_timer/proc-interrupts-lager.sh')
-rwxr-xr-xdung-3.4.25-m2/arch_timer/proc-interrupts-lager.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/dung-3.4.25-m2/arch_timer/proc-interrupts-lager.sh b/dung-3.4.25-m2/arch_timer/proc-interrupts-lager.sh
new file mode 100755
index 0000000..23a0afb
--- /dev/null
+++ b/dung-3.4.25-m2/arch_timer/proc-interrupts-lager.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+#set -x
+
+echo "arch_timer /proc/interrupts presence test"
+
+IRQ=27
+DIV_NAME="arch_timer"
+if $(dirname $0)/../common/proc-interrupts.sh "$DIV_NAME" | grep "$IRQ"; then
+ echo "Test passed"
+else
+ echo "Test has not passed"
+fi